package body MSHTML.HTMLScriptEvents_Object is

   function onhelp
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onhelp);
   end onhelp;

   function onclick
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onclick);
   end onclick;

   function ondblclick
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondblclick);
   end ondblclick;

   function onkeypress
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onkeypress);
   end onkeypress;

   procedure onkeydown
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onkeydown);
   end onkeydown;

   procedure onkeyup
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onkeyup);
   end onkeyup;

   procedure onmouseout
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmouseout);
   end onmouseout;

   procedure onmouseover
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmouseover);
   end onmouseover;

   procedure onmousemove
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmousemove);
   end onmousemove;

   procedure onmousedown
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmousedown);
   end onmousedown;

   procedure onmouseup
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmouseup);
   end onmouseup;

   function onselectstart
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onselectstart);
   end onselectstart;

   procedure onfilterchange
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onfilterchange);
   end onfilterchange;

   function ondragstart
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondragstart);
   end ondragstart;

   function onbeforeupdate
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforeupdate);
   end onbeforeupdate;

   procedure onafterupdate
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onafterupdate);
   end onafterupdate;

   function onerrorupdate
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onerrorupdate);
   end onerrorupdate;

   function onrowexit
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onrowexit);
   end onrowexit;

   procedure onrowenter
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onrowenter);
   end onrowenter;

   procedure ondatasetchanged
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondatasetchanged);
   end ondatasetchanged;

   procedure ondataavailable
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondataavailable);
   end ondataavailable;

   procedure ondatasetcomplete
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondatasetcomplete);
   end ondatasetcomplete;

   procedure onlosecapture
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onlosecapture);
   end onlosecapture;

   procedure onpropertychange
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onpropertychange);
   end onpropertychange;

   procedure onscroll
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onscroll);
   end onscroll;

   procedure onfocus
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onfocus);
   end onfocus;

   procedure onblur
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onblur);
   end onblur;

   procedure onresize
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onresize);
   end onresize;

   function ondrag
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondrag);
   end ondrag;

   procedure ondragend
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondragend);
   end ondragend;

   function ondragenter
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondragenter);
   end ondragenter;

   function ondragover
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondragover);
   end ondragover;

   procedure ondragleave
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondragleave);
   end ondragleave;

   function ondrop
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_ondrop);
   end ondrop;

   function onbeforecut
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforecut);
   end onbeforecut;

   function oncut
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_oncut);
   end oncut;

   function onbeforecopy
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforecopy);
   end onbeforecopy;

   function oncopy
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_oncopy);
   end oncopy;

   function onbeforepaste
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforepaste);
   end onbeforepaste;

   function onpaste
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onpaste);
   end onpaste;

   function oncontextmenu
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_oncontextmenu);
   end oncontextmenu;

   procedure onrowsdelete
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onrowsdelete);
   end onrowsdelete;

   procedure onrowsinserted
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onrowsinserted);
   end onrowsinserted;

   procedure oncellchange
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_oncellchange);
   end oncellchange;

   procedure onreadystatechange
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onreadystatechange);
   end onreadystatechange;

   procedure onbeforeeditfocus
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onbeforeeditfocus);
   end onbeforeeditfocus;

   procedure onlayoutcomplete
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onlayoutcomplete);
   end onlayoutcomplete;

   procedure onpage
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onpage);
   end onpage;

   function onbeforedeactivate
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforedeactivate);
   end onbeforedeactivate;

   function onbeforeactivate
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onbeforeactivate);
   end onbeforeactivate;

   procedure onmove
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmove);
   end onmove;

   function oncontrolselect
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_oncontrolselect);
   end oncontrolselect;

   function onmovestart
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onmovestart);
   end onmovestart;

   procedure onmoveend
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmoveend);
   end onmoveend;

   function onresizestart
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onresizestart);
   end onresizestart;

   procedure onresizeend
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onresizeend);
   end onresizeend;

   procedure onmouseenter
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmouseenter);
   end onmouseenter;

   procedure onmouseleave
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onmouseleave);
   end onmouseleave;

   function onmousewheel
     (This : HTMLScriptEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLScriptEvents_onmousewheel);
   end onmousewheel;

   procedure onactivate
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onactivate);
   end onactivate;

   procedure ondeactivate
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_ondeactivate);
   end ondeactivate;

   procedure onfocusin
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onfocusin);
   end onfocusin;

   procedure onfocusout
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onfocusout);
   end onfocusout;

   procedure onerror
     (This : HTMLScriptEvents_Type)
   is
   begin
      Invoke (This, HTMLScriptEvents_onerror);
   end onerror;

end MSHTML.HTMLScriptEvents_Object;

